• Upgrade


    after installing the system i cant upgrade .i get this [sudo] password for p:
    error: GPGME error: No data
    error: GPGME error: No data
    error: GPGME error: No data
    error: GPGME error: No data
    :: Synchronizing package databases…
    error: GPGME error: No data
    error: failed to update core (invalid or corrupted database (PGP signature))
    error: GPGME error: No data
    error: failed to update extra (invalid or corrupted database (PGP signature))
    error: GPGME error: No data
    error: failed to update community (invalid or corrupted database (PGP signature))
    antergos is up to date
    error: GPGME error: No data
    error: failed to update multilib (invalid or corrupted database (PGP signature))
    error: database ‘core’ is not valid (invalid or corrupted database (PGP signature))
    error: database ‘extra’ is not valid (invalid or corrupted database (PGP signature))
    error: database ‘community’ is not valid (invalid or corrupted database (PGP signature))
    error: database ‘multilib’ is not valid (invalid or corrupted database (PGP signature))
    [[email protected] ~]$

  • after installing the system i cant upgrade .i get this [sudo] password for p:
    error: GPGME error: No data
    error: GPGME error: No data
    error: GPGME error: No data
    error: GPGME error: No data
    :: Synchronizing package databases…
    error: GPGME error: No data
    error: failed to update core (invalid or corrupted database (PGP signature))
    error: GPGME error: No data
    error: failed to update extra (invalid or corrupted database (PGP signature))
    error: GPGME error: No data
    error: failed to update community (invalid or corrupted database (PGP signature))
    antergos is up to date
    error: GPGME error: No data
    error: failed to update multilib (invalid or corrupted database (PGP signature))
    error: database ‘core’ is not valid (invalid or corrupted database (PGP signature))
    error: database ‘extra’ is not valid (invalid or corrupted database (PGP signature))
    error: database ‘community’ is not valid (invalid or corrupted database (PGP signature))
    error: database ‘multilib’ is not valid (invalid or corrupted database (PGP signature))
    [[email protected] ~]$

  • Hi there.

    It seems that pacman has not initialized it’s key database. Just run these commands to correct it:

    sudo pacman-key --init  
    sudo pacman-key --populate archlinux  
    sudo pacman-key --populate antergos  
    
    

    Now you should be able to sync the databases normally and update your system.

    Cheers!

  • i am sorry.but it not working.i still get the same message.also the new iso is not working

  • Yes we are working on the iso right now. Run the following commands to clear everything and start fresh:

    sudo rm -R /var/lib/pacman/sync/\*  
    sudo pacman-key --init && sudo pacman-key --populate archlinux antergos  
    sudo pacman -Syyu
    

    Regards,

Posts 5Views 1824
Log in to reply